[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.DataSet

Dataset this datalink is connected to

## Declaration

Source position: db.pas line 1698

`public property TDataLink.DataSet: TDataSet read GetDataSet;`

## Description

Dataset equals Datasource.Dataset if the datasource is set, or Nil otherwise.

## See also

TDatalink.DataSource |  | Datasource this datalink is connected to
TDataset |  | Base class for records-based data-access

The latest version of this document can be found at lazarus-ccr.sourceforge.net .